import { NeedNameKeyDefault as r } from "../apUploadTypes.mjs";
function f(t, e, y) {
  return t === !0 ? {
    [r.nameKey]: y,
    [r.pathKey]: e
  } : typeof t == "object" ? {
    [t?.nameKey || r.nameKey]: y,
    [t?.pathKey || r.pathKey]: e
  } : e;
}
function u(t, e) {
  return t === !0 ? e?.[r.pathKey] : typeof t == "object" ? e?.[t?.pathKey || r.pathKey] : e;
}
function K(t, e) {
  return t === !0 ? e?.[r.nameKey] : typeof t == "object" ? e?.[t?.nameKey || r.nameKey] : e;
}
export {
  K as getName,
  u as getPath,
  f as getReturnData
};
